package net.sourceforge.nattable.blink;

import net.sourceforge.nattable.config.IConfigRegistry;
import net.sourceforge.nattable.layer.cell.LayerCell;

public abstract class BlinkingCellResolver implements IBlinkingCellResolver {

	public abstract String[] resolve(Object oldValue, Object newValue);

	public String[] resolve(LayerCell cell, IConfigRegistry configRegistry, Object oldValue, Object newValue) {
		return resolve(oldValue, newValue);
	}

}
