package net.sourceforge.nattable.columnRename.event;

import java.util.Arrays;

import net.sourceforge.nattable.coordinate.PositionUtil;
import net.sourceforge.nattable.grid.layer.ColumnHeaderLayer;
import net.sourceforge.nattable.layer.event.ColumnVisualChangeEvent;
import net.sourceforge.nattable.layer.event.ILayerEvent;

public class RenameColumnHeaderEvent extends ColumnVisualChangeEvent {
    
	public RenameColumnHeaderEvent(ColumnHeaderLayer columnHeaderLayer, int columnPosition)	{
		super(columnHeaderLayer,PositionUtil.getRanges(Arrays.asList(Integer.valueOf(columnPosition))));
	}
	
	// Copy constructor
	protected RenameColumnHeaderEvent(RenameColumnHeaderEvent event) {
		super(event);
	}

	public ILayerEvent cloneEvent() {
		return new RenameColumnHeaderEvent(this);	
	}	
}