package net.sourceforge.nattable.extension.glazedlists.groupBy;

import net.sourceforge.nattable.config.DefaultComparator;

public class GroupByObject implements Comparable<GroupByObject> {

	private final Object value;

	public GroupByObject(Object value) {
		this.value = value;
	}
	
	public Object getValue() {
		return value;
	}
	
	@Override
	public String toString() {
		return value.toString();
	}

	public int compareTo(GroupByObject o) {
		return DefaultComparator.getInstance().compare(value, o.value);
	}
	
}
