package net.sourceforge.nattable.extension.glazedlists.groupBy.command;

import net.sourceforge.nattable.command.ILayerCommand;
import net.sourceforge.nattable.layer.ILayer;

public class GroupByColumnIndexCommand implements ILayerCommand {
	
	private final int groupByColumnIndex;

	public GroupByColumnIndexCommand(int groupByColumnIndex) {
		this.groupByColumnIndex = groupByColumnIndex;
	}
	
	public int getGroupByColumnIndex() {
		return groupByColumnIndex;
	}
	
	public GroupByColumnIndexCommand cloneCommand() {
		return this;
	}

	public boolean convertToTargetLayer(ILayer targetLayer) {
		return true;
	}

}
