package net.sourceforge.nattable.hideshow.command;

import net.sourceforge.nattable.command.AbstractContextFreeCommand;

public class MultiRowShowCommand extends AbstractContextFreeCommand {

	private final int[] rowIndexes;

	public MultiRowShowCommand(int[] rowIndexes) {
		this.rowIndexes = rowIndexes;
	}

	protected MultiRowShowCommand(MultiRowShowCommand command) {
		rowIndexes = new int[command.rowIndexes.length];
		System.arraycopy(command.rowIndexes, 0, rowIndexes, 0, command.rowIndexes.length);
	}

	public int[] getRowIndexes() {
		return rowIndexes;
	}
	
}
