package net.sourceforge.nattable.export.command;

import net.sourceforge.nattable.command.AbstractContextFreeCommand;
import net.sourceforge.nattable.config.IConfigRegistry;

import org.eclipse.swt.widgets.Shell;

public class ExportCommand extends AbstractContextFreeCommand {

	private IConfigRegistry configRegistry;
	private final Shell shell;

	public ExportCommand(IConfigRegistry configRegistry, Shell shell) {
		this.configRegistry = configRegistry;
		this.shell = shell;
	}

	public IConfigRegistry getConfigRegistry() {
		return configRegistry;
	}

	public Shell getShell() {
		return shell;
	}
}
