package net.sourceforge.nattable.tree.command;

import net.sourceforge.nattable.command.AbstractContextFreeCommand;
import net.sourceforge.nattable.tree.command.TreeExpandCollapseCommand;

public class TreeExpandCollapseCommand extends AbstractContextFreeCommand {

	private final int parentIndex;

	public TreeExpandCollapseCommand(int parentIndex) {
		this.parentIndex = parentIndex;
	}

	protected TreeExpandCollapseCommand(TreeExpandCollapseCommand command) {
		this.parentIndex = command.parentIndex;
	}

	public int getParentIndex() {
		return this.parentIndex;
	}
	
}
